### Function

# RB debug_real

#### Declaration [src]

    void
    rb_debug_real (
      const char* func,
      const char* file,
      int line,
      gboolean newline,
      const char* message
    )

#### Description [src]

If the debug output settings match the function or file names, the debug message will be formatted and written to standard error.

#### Parameters

`func`

  Type: `const char*`

  Function name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`file`

  Type: `const char*`

  File name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`line`

  Type: `int`

  Line number.

`newline`

  Type: `gboolean`

  If TRUE, add a newline to the output.

`message`

  Type: `const char*`

  The debug message.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.